> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 抽出ステータスの取得

> 注意: 機能とパフォーマンスが向上した [v2 版 API](/ja/api-reference/endpoint/extract-get) が利用可能です。


## OpenAPI

````yaml ja/api-reference/v1-openapi.json GET /extract/{id}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawl サービスと連携して Web サイトのスクレイピングおよびクロール処理を行うための API です。
  title: Firecrawl API
  version: v1
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /extract/{id}:
    parameters:
      - description: 抽出ジョブのID
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
    get:
      tags:
        - Extraction
      summary: 抽出ジョブの状態を取得する
      operationId: getExtractStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractStatusResponse'
          description: 成功時のレスポンス
      security:
        - bearerAuth: []
components:
  schemas:
    ExtractStatusResponse:
      properties:
        data:
          type: object
        expiresAt:
          format: date-time
          type: string
        status:
          description: 抽出ジョブの現在のステータス
          enum:
            - completed
            - processing
            - failed
            - cancelled
          type: string
        success:
          type: boolean
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````